## python-django 4.2.11

=== debian/changelog ===
python-django (3:4.2.11-1ubuntu1.11) noble-security; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Sep 2025 12:27:58 -0400

python-django (3:4.2.11-1ubuntu1.10) noble-security; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/skipping_tests.patch: skipping
      FTBFS tests test_strip_tags.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 01 Sep 2025 07:55:12 -0300

python-django (3:4.2.11-1ubuntu1.9) noble-security; urgency=medium

  * SECURITY UPDATE: Prevented log injection
    - debian/patches/CVE-2025-48432-2.patch: prevented log injection in
      remaining response logging in django/views/generic/base.py,
      test/generic_views/test_base.py (LP: #2113924)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 11 Jun 2025 08:22:34 -0300

python-django (3:4.2.11-1ubuntu1.8) noble-security; urgency=medium

  * SECURITY UPDATE: Log structure manipulation
    - debian/patches/CVE-2025-48432.patch: escape formatting
      arguments in log_response() in django/utils/log.py,
      tests/logging_tests/tests.py.
    - CVE-2025-48432

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 30 May 2025 07:59:51 -0300

python-django (3:4.2.11-1ubuntu1.7) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service in strip_tags()
    - debian/patches/CVE-2025-32873.patch: check tag depth in
      django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2025-32873

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 10:33:48 -0400

python-django (3:4.2.11-1ubuntu1.6) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 28 Feb 2025 12:25:52 -0330

python-django (3:4.2.11-1ubuntu1.5) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-56374.patch: mitigate potential
      DoS in IPv6 validation in django/db/models/fields/__init__.py.
      django/forms/fields.py, django/utils/ipv6.py,
      field_tests/test_genericipaddressfield.py,
      tests/utils_tests/test_ipv6.py.
    - CVE-2024-56374

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 08 Jan 2025 08:29:05 -0300

python-django (3:4.2.11-1ubuntu1.4) noble-security; urgency=medium

  * SECURITY UPDATE: Potential denial-of-service in
    django.utils.html.strip_tags()
    - debian/patches/CVE-2024-53907.patch: mitigated potential DoS in
      strip_tags() in django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2024-53907
  * SECURITY UPDATE: Potential SQL injection in HasKey(lhs, rhs) on Oracle
    - debian/patches/CVE-2024-53908.patch: prevented SQL injections in
      direct HasKeyLookup usage on Oracle in
      django/db/models/fields/json.py,
      tests/model_fields/test_jsonfield.py.
    - CVE-2024-53908

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Nov 2024 08:05:44 -0500

python-django (3:4.2.11-1ubuntu1.3) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-45230.patch: mitigate
      potential DoS in urlize and urlizetrunc template filters
      in django/utils/html.py,
      tests/template_tests/filter_tests/test_urlize.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-45230
  * SECURITY UPDATE: User email enumeration
    - debian/patches/CVE-2024-45231.patch: avoid
      server error on password reset when email sending fails
      in django/contrib/auth/forms.py,
      tests/auth_tests/test_forms.py,
      tests/mail/custombackend.py.
    - CVE-2024-45231

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 27 Aug 2024 10:54:30 -0300

python-django (3:4.2.11-1ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: Memory exhaustion issue
    - debian/patches/CVE-2024-41989.patch: prevent excessive memory
      consumption in floatformat in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - CVE-2024-41989
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize()
    - debian/patches/CVE-2024-41990.patch: mitigate potential DoS in urlize
      and urlizetrunc template filters in django/utils/html.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-41990
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize() and
    AdminURLFieldWidget
    - debian/patches/CVE-2024-41991.patch: prevented potential ReDoS
      in django/contrib/admin/widgets.py, django/utils/html.py,
      tests/admin_widgets/tests.py, tests/utils_tests/test_html.py.
    - CVE-2024-41991
  * SECURITY UPDATE: SQL injection in QuerySet.values() and values_list()
    - debian/patches/CVE-2024-42005.patch: mitigate QuerySet.values() SQL
      injection attacks against JSON fields in
      django/db/models/sql/query.py, tests/expressions/models.py,
      tests/expressions/test_queryset_values.py.
    - CVE-2024-42005

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Jul 2024 06:59:00 -0400

python-django (3:4.2.11-1ubuntu1.1) noble-security; urgency=medium



=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Brian May <bam@debian.org>,
 Chris Lamb <lamby@debian.org>,
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.17.14),
 libgdal-dev <!nocheck>,
 libsqlite3-mod-spatialite <!nocheck>,
 python-django-formtools-doc <!nodoc>,
 python-psycopg2-doc <!nodoc>,
 python3-all,
 python3-asgiref <!nocheck>,
 python3-bcrypt <!nocheck>,
 python3-doc <!nodoc>,
 python3-docutils <!nodoc>,
 python3-jinja2 <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-selenium <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sqlparse <!nocheck>,
 python3-tblib <!nocheck>,
 python3-tz <!nocheck>,
 python3-yaml <!nocheck>,
Build-Depends-Indep:
 libjs-jquery,
Homepage: http://www.djangoproject.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django
Rules-Requires-Root: no

Package: python3-django
Architecture: all
Provides:
 python-django-common,
Replaces:
 python-django-common,
Breaks:
 python-django-common,
 python3-mysqldb (<< 1.3.13),
Depends:
 python3-asgiref,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
 python3-sqlparse,
 python3-tz,
Suggests:
 bpython3,
 geoip-database-contrib,
 gettext,
 ipython3,
 libgdal20,
 libsqlite3-mod-spatialite,
 python-django-doc,
 python3-bcrypt,
 python3-flup,
 python3-memcache,
 python3-mysqldb,
 python3-pil,
 python3-psycopg2,
 python3-selenium,
 python3-sqlite,
 python3-yaml,
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django

PREFIX = debian/python3-django
PREFIX_DOC = debian/python-django-doc

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	make -C docs html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	set -e; cd tests && for python in $$(py3versions -s); do \
	    	echo "——— Running tests with $$python ———"; \
		LC_ALL=C.UTF-8 PYTHONPATH=.. $$python ./runtests.py --verbosity=2; \
	done
endif

override_dh_clean:
	# backup~ is used in tests
	dh_clean -Xbackup~

override_dh_auto_install:
	dh_auto_install
	
	# Remove embedded Javascript libraries
	set -e; for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sfv /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done

override_dh_install:
	dh_install
	
	# Fix permissions
	chmod 644 $(PREFIX)/usr/share/bash-completion/completions/django_bash_completion

override_dh_installdocs:
	dh_installdocs
	
	# Drop all extra license files
	find $(PREFIX) $(PREFIX_DOC) \( -name LICENSE -o -iname license\*.\* \) -delete
	
override_dh_python3:
	dh_python3
	
	# Move documentation to /usr/share/doc
	set -e; for X in img; do \
		mv -v $(PREFIX)/usr/lib/python3/dist-packages/django/contrib/admin/static/admin/$$X/README.txt \
			$(PREFIX)/usr/share/doc/python3-django/README-$$X.txt; \
	done

=== debian/tests/control ===
Test-Command: debian/tests/django-admin
Depends:
 python3-django,

Test-Command: debian/tests/test-suite
Restrictions: allow-stderr
Depends:
 @,
 @builddeps@,

## python-django 4.2.13

=== debian/changelog ===
python-django (3:4.2.13-1) unstable; urgency=medium

  * New upstream bugfix releases.
    <https://docs.djangoproject.com/en/5.0/releases/4.2.12/>
    <https://docs.djangoproject.com/en/5.0/releases/4.2.13/>

 -- Chris Lamb <lamby@debian.org>  Wed, 08 May 2024 11:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,

## python-django 4.2.14

=== debian/changelog ===
python-django (3:4.2.14-1) unstable; urgency=medium

  * New upstream security release. (Closes: #1076069)

    - CVE-2024-38875: Prevent a potential denial-of-service in
      django.utils.html.urlize. This method (and urlizetrunc) were subject to a
      potential DoS attack via specially-crafted inputs with a very large
      number of brackets.

    - CVE-2024-39329: Avoid a username enumeration vulnerability through timing
      difference for users with unusable password. The authenticate method of
      django.contrib.auth.backends.ModelBackend method allowed remote attackers
      to enumerate users via a timing attack involving login requests for users
      with unusable passwords.

    - CVE-2024-39330: Address a potential directory-traversal in
      django.core.files.storage.Storage.save. Derived classes of this method's
      base class which override generate_filename without replicating the file
      path validations existing in the parent class allowed for potential
      directory-traversal via certain inputs when calling save(). Built-in
      Storage sub-classes were not affected by this vulnerability.

    - CVE-2024-39614: Fix a potential denial-of-service in
      django.utils.translation.get_supported_language_variant. This method
      was subject to a potential DoS attack when used with very long strings
      containing specific characters. To mitigate this vulnerability, the
      language code provided to get_supported_language_variant is now parsed up
      to a maximum length of 500 characters.

    <https://www.djangoproject.com/weblog/2024/jul/09/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 10 Jul 2024 09:50:49 +0100

## python-django 4.2.15

=== debian/changelog ===
python-django (3:4.2.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Sep 2024 12:23:16 +0100

python-django (3:4.2.15-1) unstable; urgency=high

  * New upstream security release. (Closes: #1078074)

    - CVE-2024-41989: Memory exhaustion in django.utils.numberformat.

      The floatformat template filter is subject to significant memory
      consumption when given a string representation of a number in
      scientific notation with a large exponent.

    - CVE-2024-41990: Potential denial-of-service in django.utils.html.urlize.

      The urlize() and urlizetrunc() template filters are subject to a
      potential denial-of-service attack via very large inputs with a specific
      sequence of characters.

    - CVE-2024-41991: Potential denial-of-service vulnerability in
      django.utils.html.urlize() and AdminURLFieldWidget

      The urlize and urlizetrunc template filters, and the AdminURLFieldWidget
      widget, are subject to a potential denial-of-service attack via certain
      inputs with a very large number of Unicode characters.

    - CVE-2024-42005: Potential SQL injection in QuerySet.values() and
      values_list()

      QuerySet.values() and values_list() methods on models with a JSONField
      are subject to SQL injection in column aliases via a crafted JSON object
      key as a passed *arg.

    <https://www.djangoproject.com/weblog/2024/aug/06/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2024 16:59:24 +0100

## python-django 4.2.17

=== debian/changelog ===
python-django (3:4.2.17-2) unstable; urgency=medium

  * Team upload.
  * Fix CommandTypes.test_help_default_options_with_custom_arguments test on
    Python 3.13+ (closes: #1082209).

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 15:36:58 +0000

python-django (3:4.2.17-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2024-53907: Potential DoS in django.utils.html.strip_tags.
      The strip_tags() method and striptags template filter were subject to a
      potential denial-of-service attack via certain inputs containing large
      sequences of nested incomplete HTML entities.

    - CVE-2024-53908: Potential SQL injection in HasKey(lhs, rhs) on Oracle
      Direct usage of the django.db.models.fields.json.HasKey lookup on Oracle
      was subject to SQL injection if untrusted data is used as a lhs value.
      Applications that use the jsonfield.has_key lookup through the __ syntax
      are unaffected.

    <https://www.djangoproject.com/weblog/2024/dec/04/security-releases/>

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Dec 2024 17:33:13 +0000

python-django (3:4.2.16-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2024-45230: Potential denial-of-service vulnerability in
      django.utils.html.urlize(). urlize and urlizetrunc were subject to a
      potential denial-of-service attack via very large inputs with a specific
      sequence of characters.

    - CVE-2024-45231: Potential user email enumeration via response status on
      password reset. Due to unhandled email sending failures, the
      django.contrib.auth.forms.PasswordResetForm class allowed remote
      attackers to enumerate user emails by issuing password reset requests and
      observing the outcomes. To mitigate this risk, exceptions occurring
      during password reset email sending are now handled and logged using the
      django.contrib.auth logger.

  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Sep 2024 17:31:33 +0100

## python-django 4.2.18

=== debian/changelog ===
python-django (3:4.2.18-1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 07 Mar 2025 09:49:59 -0330

python-django (3:4.2.18-1) unstable; urgency=high

  * New upstream security release. (Closes: #1093049)

    - CVE-2024-56374: Potential denial-of-service vulnerability in IPv6
      validation.

      A lack of upper bound limit enforcement in strings passed when performing
      IPv6 validation could have led to a potential denial-of-service (DoS)
      attack. The undocumented and private functions clean_ipv6_address and
      is_valid_ipv6_address were vulnerable, as was the GenericIPAddressField
      form field, which has now been updated to define a max_length of 39
      characters. The GenericIPAddressField model field was not affected.

    <https://www.djangoproject.com/weblog/2025/jan/14/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Jan 2025 17:38:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-django 4.2.19

=== debian/changelog ===
python-django (3:4.2.19-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/feb/05/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Feb 2025 16:45:05 +0000

## python-django 4.2.20

=== debian/changelog ===
python-django (3:4.2.20-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2025-26699: Address a potential denial-of-service in
      django.utils.text.wrap. The wrap() method and wordwrap template filter
      were subject to a potential denial-of-service attack when used with very
      long strings. (Closes: #1099682)

    <https://www.djangoproject.com/weblog/2025/mar/06/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Mar 2025 17:55:06 +0000

## python-django 4.2.21

=== debian/changelog ===
python-django (3:4.2.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 May 2025 01:50:04 +0100

python-django (3:4.2.21-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2025-32873: Denial-of-service possibility in strip_tags()

      django.utils.html.strip_tags() would be slow to evaluate certain inputs
      containing large sequences of incomplete HTML tags. This function is used
      to implement the striptags template filter, which was therefore also
      vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
      encounters an unusually large number of unclosed opening tags.

      (Closes: #1104872)

    <https://www.djangoproject.com/weblog/2025/may/07/security-releases/>

  * Bump Standards-Version to 4.7.2.
  * Add pybuild-plugin-pyproject to Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Fri, 09 May 2025 15:47:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libgdal-dev <!nocheck>,
  libsqlite3-mod-spatialite <!nocheck>,
+ pybuild-plugin-pyproject,
  python-django-formtools-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
  python3-all,

## python-django 4.2.22

=== debian/changelog ===
python-django (3:4.2.22-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2025-48432: Potential log injection via unescaped request path.

      Django's internal HTTP response logging used request.path directly,
      allowing control characters (e.g. newlines or ANSI escape sequences) to
      be written unescaped into logs. This could enable log injection or
      forgery, letting attackers manipulate log appearance or structure,
      especially in logs processed by external systems or viewed in terminals.

      Although this does not directly impact Django's security model, it poses
      risks when logs are consumed or interpreted by other tools.  To fix this,
      the internal django.utils.log.log_response() function now escapes all
      positional formatting arguments using a safe encoding.

      (Closes: #1107282)

    <https://www.djangoproject.com/weblog/2025/jun/04/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Jun 2025 08:21:53 -0700

## python-django 4.2.23

=== debian/changelog ===
python-django (3:4.2.23-1) unstable; urgency=high

  * New upstream bugfix release. Quoting upstream:

      Following the June 4, 2025 security release [uploaded to Debian as
      3:4.2.22-1], the Django team is issuing releases [to] complete mitigation
      for CVE-2025-48432 […].

      These follow-up releases migrate remaining response logging paths to a
      safer logging implementation, ensuring that all untrusted input is
      properly escaped before being written to logs. This update does not
      introduce a new CVE but strengthens the original fix.

    <https://www.djangoproject.com/weblog/2025/jun/10/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jun 2025 09:37:03 -0700

## python-django 4.2.24

=== debian/changelog ===
python-django (3:4.2.24-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2025-57833: Potential SQL injection in FilteredRelation column
      aliases. The FilteredRelation feature in Django was subject to a
      potential SQL injection vulnerability in column aliases that was
      exploitable via suitably crafted dictionary with dictionary expansion as
      the **kwargs passed QuerySet.annotate() or QuerySet.alias().
      (Closes: #1113865)

    <https://www.djangoproject.com/weblog/2025/sep/03/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Sep 2025 08:28:19 -0700

## python-django 4.2.25

=== docs/requirements.txt ===
pyenchant
Sphinx>=4.5.0
sphinxcontrib-spelling
black==23.12.1
blacken-docs

=== debian/changelog ===
python-django (3:4.2.25-2) unstable; urgency=medium

  * Team upload.
  * Skip NOT NULL constraints on PostgreSQL 18+ (closes: #1117647).

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 10:05:23 +0100

python-django (3:4.2.25-1) unstable; urgency=high

  * New upstream security release (Closes: #1116979):

    - CVE-2025-59681: Potential SQL injection in QuerySet.annotate(), alias(),
      aggregate() and extra() on MySQL and MariaDB.

      QuerySet.annotate(), QuerySet.alias(), QuerySet.aggregate() and
      QuerySet.extra() methods were subject to SQL injection in column aliases,
      using a suitably crafted dictionary with dictionary expansion as the
      **kwargs passed to these methods on MySQL and MariaDB.

    - CVE-2025-59682: Potential partial directory-traversal via
      archive.extract()

      The django.utils.archive.extract() function, used by startapp --template
      and startproject --template allowed partial directory-traversal via an
      archive with file paths sharing a common prefix with the target
      directory.

    <https://www.djangoproject.com/weblog/2025/oct/01/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Oct 2025 11:17:18 -0700

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,12 @@
  python3-jinja2 <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pil <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-selenium <!nocheck>,
  python3-setuptools,
  python3-sphinx,
  python3-sqlparse <!nocheck>,
  python3-tblib <!nocheck>,
- python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
 Build-Depends-Indep:
  libjs-jquery,
@@ -55,7 +55,6 @@
 Recommends:
  libjs-jquery,
  python3-sqlparse,
- python3-tz,
 Suggests:
  bpython3,
  geoip-database-contrib,
@@ -70,6 +69,7 @@
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
+ python3-pytz,
  python3-selenium,
  python3-sqlite,
  python3-yaml,

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/a(?=\d$)/alpha/;s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    https://www.djangoproject.com/download/ .*/(4[^/]+)/tarball/

## python-django 4.2.26

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
PAPER         ?=
BUILDDIR      ?= _build
LANGUAGE      ?=

# Set the default language.
ifndef LANGUAGE
override LANGUAGE = en
endif

# Convert something like "en_US" to "en", because Sphinx does not recognize
# underscores. Country codes should be passed using a dash, e.g. "pt-BR".
LANGUAGEOPT = $(firstword $(subst _, ,$(LANGUAGE)))

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees -D language=$(LANGUAGEOPT) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html htmlview dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make a Texinfo source file"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  spelling   to check for typos in documentation"
	@echo "  black      to apply the black formatting to code blocks in documentation"


clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b djangohtml $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlview: html
	$(PYTHON) -c "import webbrowser; webbrowser.open('_build/html/index.html')"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished; the Texinfo files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Check finished. Wrong words can be found in " \
		"$(BUILDDIR)/spelling/output.txt."

black:
	@mkdir -p $(BUILDDIR)/black
	find -name "*.txt" -not -path "./_build/*" -not -path "./_theme/*" \
		| xargs blacken-docs --rst-literal-block; echo $$? > "$(BUILDDIR)/black/output.txt"
	@echo
	@echo "Code blocks reformatted"

=== debian/changelog ===
python-django (3:4.2.26-1) unstable; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2025/nov/05/security-releases/>

    - CVE-2025-64458: Fix a potential denial-of-service vulnerability in
      HttpResponseRedirect and HttpResponsePermanentRedirect. NFKC
      normalization in Python is slow on Windows; as a consequence,
      HttpResponseRedirect, HttpResponsePermanentRedirect and redirect were
      subject to a potential denial-of-service attack via certain inputs with
      a very large number of Unicode characters.

    - CVE-2025-64459: Prevent a potential SQL injection via _connector keyword
      argument in QuerySet/Q objects. The methods QuerySet.filter(),
      QuerySet.exclude(), and QuerySet.get() and the class Q() were subject to
      SQL injection when using a suitably crafted dictionary (with dictionary
      expansion) as the _connector argument.

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Nov 2025 08:36:26 -0800

## python-django 4.2.27

=== debian/changelog ===
python-django (3:4.2.27-2) unstable; urgency=medium

  * Team upload.
  * Backport various upstream fixes for newer Python versions (closes:
    #1122185):
    - Fixed tests for test --parallel option on Python 3.14+.
    - Fixed copying BaseContext and its subclasses on Python 3.14+.
    - Fixed OtherModelFormTests.test_prefetch_related_queryset() test on
      Python 3.14+.
    - Adjusted test_strip_tags following Python behavior change for
      incomplete entities.
  * Revert "Mark that Python 3.14 is not supported yet", since it now is.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 10:23:30 +0000

python-django (3:4.2.27-1) unstable; urgency=medium

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2025/dec/02/security-releases/>

    - CVE-2025-13372: Fix a potential SQL injection attack in FilteredRelation
      column aliases when using PostgreSQL. FilteredRelation was subject to SQL
      injection in column aliases via a suitably crafted dictionary as the
      **kwargs passed to QuerySet.annotate() or QuerySet.alias().

    - CVE-2025-64460: Prevent a potential denial-of-service vulnerability in
      XML serializer text extraction. An algorithmic complexity issue in
      django.core.serializers.xml_serializer.getInnerText() allowed a remote
      attacker to cause a potential denial-of-service triggering CPU and memory
      exhaustion via a specially crafted XML input submitted to a service that
      invokes XML Deserializer. The vulnerability resulted from repeated string
      concatenation while recursively collecting text nodes, which produced
      superlinear computation.

    (Closes: #1121788))

  * Mark that Python 3.14 is not supported yet.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Dec 2025 11:34:10 -0800

## python-django 4.2.28

=== debian/changelog ===
python-django (3:4.2.28-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2025-13473: The check_password function in
      django.contrib.auth.handlers.modwsgi for authentication via mod_wsgi
      allowed remote attackers to enumerate users via a timing attack.

    - CVE-2025-14550: ASGIRequest allowed a remote attacker to cause a
      potential denial-of-service via a crafted request with multiple duplicate
      headers.

    - CVE-2026-1207: Raster lookups on RasterField (only implemented on
      PostGIS) allowed remote attackers to inject SQL via the band index
      parameter.

    - CVE-2026-1285: The django.utils.text.Truncator.chars() and
      Truncator.words() methods (with html=True) and the truncatechars_html and
      truncatewords_html template filters allowed a remote attacker to cause a
      potential denial-of-service via crafted inputs containing a large number
      of unmatched HTML end tags.

    - CVE-2026-1287: FilteredRelation was subject to SQL injection in column
      aliases via control characters using a suitably crafted dictionary, with
      dictionary expansion, as the **kwargs passed to QuerySet methods
      annotate(), aggregate(), extra(), values(), values_list() and alias().

    - CVE-2026-1312: QuerySet.order_by() was subject to SQL injection in column
      aliases containing periods when the same alias is, using a suitably
      crafted dictionary, with dictionary expansion, used in FilteredRelation.

    <https://www.djangoproject.com/weblog/2026/feb/03/security-releases/>

    (Closes: #1126914)

  * Drop debian/patches/test-strip-tags-incomplete-entities.patch; applied upstream.
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Feb 2026 07:50:22 -0800

## python-django 4.2.29

=== debian/changelog ===
python-django (3:4.2.29-1) unstable; urgency=high

  * New upstream sceurity release:

    - CVE-2026-25674: Potential incorrect permissions on newly created file
      system objects.

      Django's file-system storage and file-based cache backends used the
      process umask to control permissions when creating directories. In
      multi-threaded environments, one thread's temporary umask change can
      affect other threads' file and directory creation, resulting in file
      system objects being created with unintended permissions. Django now
      applies the requested permissions via os.chmod() after os.mkdir(),
      removing the dependency on the process-wide umask.

    - CVE-2026-25673: Potential denial-of-service vulnerability in URLField via
      Unicode normalization on Windows.

      The django.forms.URLField form field's to_python() method used
      urllib.parse.urlsplit() to determine whether to prepend a URL scheme to
      the submitted value. On Windows, urlsplit() performs NFKC normalization
      (unicodedata.normalize), which can be disproportionately slow for large
      inputs containing certain characters.

      URLField.to_python() now uses a simplified scheme detection, avoiding
      Unicode normalization entirely and deferring URL validation to the
      appropriate layers. As a result, while leading and trailing whitespace is
      still stripped by default, characters such as newlines, tabs, and other
      control characters within the value are no longer handled by
      URLField.to_python(). When using the default URLValidator, these values
      will continue to raise ValidationError during validation, but if you rely
      on custom validators, ensure they do not depend on the previous behavior
      of URLField.to_python().

    <https://www.djangoproject.com/weblog/2026/mar/03/security-releases/>

    (Closes: #1129595)

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Mar 2026 09:48:56 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-django 5.1.4

=== debian/changelog ===
python-django (3:5.1.4-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2024-53907: Potential DoS in django.utils.html.strip_tags.
      The strip_tags() method and striptags template filter were subject to a
      potential denial-of-service attack via certain inputs containing large
      sequences of nested incomplete HTML entities.

    - CVE-2024-53908: Potential SQL injection in HasKey(lhs, rhs) on Oracle
      Direct usage of the django.db.models.fields.json.HasKey lookup on Oracle
      was subject to SQL injection if untrusted data is used as a lhs value.
      Applications that use the jsonfield.has_key lookup through the __ syntax
      are unaffected.

    <https://www.djangoproject.com/weblog/2024/dec/04/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Dec 2024 16:55:05 +0000

python-django (3:5.1.3-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/5.1/releases/5.1.3/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Nov 2024 07:14:42 -0800

python-django (3:5.1.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/5.1/releases/5.1.2/>

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Oct 2024 09:56:10 -0700

python-django (3:5.1.1-1) experimental; urgency=high

  * New upstream security release:

    - CVE-2024-45230: Potential denial-of-service vulnerability in
      django.utils.html.urlize(). urlize and urlizetrunc were subject to a
      potential denial-of-service attack via very large inputs with a specific
      sequence of characters.

    - CVE-2024-45231: Potential user email enumeration via response status on
      password reset. Due to unhandled email sending failures, the
      django.contrib.auth.forms.PasswordResetForm class allowed remote
      attackers to enumerate user emails by issuing password reset requests and
      observing the outcomes. To mitigate this risk, exceptions occurring
      during password reset email sending are now handled and logged using the
      django.contrib.auth logger.

  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Sep 2024 17:25:15 +0100

python-django (3:5.1-1) experimental; urgency=medium

  * New upstream 5.1 release.
    <https://www.djangoproject.com/weblog/2024/aug/07/django-51-released/>

 -- Chris Lamb <lamby@debian.org>  Wed, 07 Aug 2024 16:14:05 +0100

python-django (3:5.1~rc1-1) experimental; urgency=medium

  * New upstream 5.1 release candidate.
    <https://www.djangoproject.com/weblog/2024/jul/24/django-51-rc1/>

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jul 2024 11:33:24 +0100

python-django (3:5.1~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2024/jun/26/django-51-beta-1-released/>
  * Add pybuild-plugin-pyproject to Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Wed, 26 Jun 2024 10:15:54 -0700

python-django (3:5.1~alpha1-1) experimental; urgency=medium

  * New upstream experimental alpha release.
    <https://www.djangoproject.com/weblog/2024/may/22/django-51-alpha-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 May 2024 10:48:03 +0100

python-django (3:5.0.6-1) experimental; urgency=medium

  * New upstream bugfix release, incorporating changes from 5.0.5 as well.
    <https://docs.djangoproject.com/en/5.0/releases/5.0.5/>
    <https://docs.djangoproject.com/en/5.0/releases/5.0.6/>

 -- Chris Lamb <lamby@debian.org>  Wed, 08 May 2024 11:12:00 +0100

python-django (3:5.0.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/dev/releases/5.0.4/>

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Apr 2024 10:07:42 +0100

python-django (3:5.0.3-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2024-27351: Fix a potential regular expression denial-of-service
      (ReDoS) attack in django.utils.text.Truncator.words. This method
      (with html=True) and the truncatewords_html template filter were subject
      to a potential regular expression denial-of-service attack via a suitably
      crafted string. This is, in part, a follow up to CVE-2019-14232 and
      CVE-2023-43665.

    <https://docs.djangoproject.com/en/dev/releases/5.0.3/>

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Mar 2024 12:37:11 +0000

python-django (3:5.0.2-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2024-24680: Potential denial-of-service in intcomma template filter.
      The intcomma template filter was subject to a potential denial-of-service
      attack when used with very long strings.

    <https://docs.djangoproject.com/en/dev/releases/5.0.2/>

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Feb 2024 08:08:50 -0800

python-django (3:5.0.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/dev/releases/5.0.1/>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jan 2024 11:07:26 +0000

python-django (3:5.0-1) experimental; urgency=medium

  * New upstream stable release.
    https://docs.djangoproject.com/en/5.0/releases/5.0/

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Dec 2023 12:52:28 +0000

python-django (3:5.0~rc1-1) experimental; urgency=medium

  * New upstream RC1 release.
    <https://www.djangoproject.com/weblog/2023/nov/20/django-50-rc1/>

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Nov 2023 08:43:43 +0000

python-django (3:5.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.
    <https://www.djangoproject.com/weblog/2023/sep/18/django-50-alpha-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 Sep 2023 11:09:34 -0700

python-django (3:4.2.5-1) experimental; urgency=high

  * New upstream security release:

    - CVE-2023-41164: Potential denial of service vulnerability in


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -25,12 +25,12 @@
  python3-jinja2 <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pil <!nocheck>,
- python3-pytz <!nocheck>,
  python3-selenium <!nocheck>,
  python3-setuptools,
  python3-sphinx,
  python3-sqlparse <!nocheck>,
  python3-tblib <!nocheck>,
+ python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
 Build-Depends-Indep:
  libjs-jquery,
@@ -55,6 +55,7 @@
 Recommends:
  libjs-jquery,
  python3-sqlparse,
+ python3-tz,
 Suggests:
  bpython3,
  geoip-database-contrib,
@@ -69,7 +70,6 @@
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
- python3-pytz,
  python3-selenium,
  python3-sqlite,
  python3-yaml,
